<?php  // $Id: enrol.php,v 1.7 2005/02/08 17:56:18 moodler Exp $

require_once("$CFG->dirroot/enrol/enrol.class.php");

class enrolment_plugin extends enrolment_base {

    var $log;    

/// Leave get_teacher_courses() function unchanged for the time being

/// Leave get_student_courses() function unchanged for the time being

/// Leave the base cron() function alone, its best to run sync_enrol.php as a cron at a different interval


/// Override the base print_entry() function
function print_entry($course) {
    global $CFG;

    if (! empty($CFG->enrol_allowinternal) ) {
        parent::print_entry($course);
    } else {
        print_header();
        notice(get_string("enrolmentnointernal"), $CFG->wwwroot);
    }
}


/// Override the base check_entry() function
function check_entry($form, $course) {
    global $CFG;

    if (! empty($CFG->enrol_allowinternal) ) {
        parent::check_entry($form, $course);
    }
}


/// Overide the get_access_icons() function
function get_access_icons($course) {
}


/// Overide the base config_form() function
function config_form($frm) {
    global $CFG;

    $vars = array('augdatabase_dbhost', 'augdatabase_dbuser', 'augdatabase_dbpass', 
                  'augdatabase_dbname', 'augdatabase_dbtable', 
                  'augdatabase_localcoursefield', 'augdatabase_localuserfield', 
                  'augdatabase_remotecoursefield', 'augdatabase_remoteuserfield',
                  'augdatabase_allowinternal','augdatabase_remoteconverttable',
                  'augdatabase_remoteconvertregistrar','augdatabase_remoteconvertcms',
                  'augdatabase_remoteexcepttable','augdatabase_remoteexceptuserfield',
                  'augdatabase_remoteexceptcoursefield');
    foreach ($vars as $var) {
        if (!isset($frm->$var)) {
            $frm->$var = '';
        } 
    }
    include("$CFG->dirroot/enrol/augdatabase/config.html");
}

/// Override the base process_config() function
function process_config($config) {

    if (!isset($config->augdatabase_dbtype)) {
        $config->augdatabase_dbtype = 'mysql';
    }
    set_config('augdatabase_dbtype', $config->augdatabase_dbtype);

    if (!isset($config->augdatabase_dbhost)) {
        $config->augdatabase_dbhost = '';
    }
    set_config('augdatabase_dbhost', $config->augdatabase_dbhost);

    if (!isset($config->augdatabase_dbuser)) {
        $config->augdatabase_dbuser = '';
    }
    set_config('augdatabase_dbuser', $config->augdatabase_dbuser);

    if (!isset($config->augdatabase_dbpass)) {
        $config->augdatabase_dbpass = '';
    }
    set_config('augdatabase_dbpass', $config->augdatabase_dbpass);

    if (!isset($config->augdatabase_dbname)) {
        $config->augdatabase_dbname = '';
    }
    set_config('augdatabase_dbname', $config->augdatabase_dbname);

    if (!isset($config->augdatabase_dbtable)) {
        $config->augdatabase_dbtable = '';
    }
    set_config('augdatabase_dbtable', $config->augdatabase_dbtable);

    if (!isset($config->augdatabase_localcoursefield)) {
        $config->augdatabase_localcoursefield = '';
    }
    set_config('augdatabase_localcoursefield', $config->augdatabase_localcoursefield);

    if (!isset($config->augdatabase_localuserfield)) {
        $config->augdatabase_localuserfield = '';
    }
    set_config('augdatabase_localuserfield', $config->augdatabase_localuserfield);

    if (!isset($config->augdatabase_remotecoursefield)) {
        $config->augdatabase_remotecoursefield = '';
    }
    set_config('augdatabase_remotecoursefield', $config->augdatabase_remotecoursefield);

    if (!isset($config->augdatabase_remoteuserfield)) {
        $config->augdatabase_remoteuserfield = '';
    }
    set_config('augdatabase_remoteuserfield', $config->augdatabase_remoteuserfield);

    if (!isset($config->augdatabase_remoteconverttable)) {
        $config->augdatabase_remoteconverttable = '';
    }
    set_config('augdatabase_remoteconverttable', $config->augdatabase_remoteconverttable);
    
    if (!isset($config->augdatabase_remoteconvertregistrar)) {
        $config->augdatabase_remoteconvertregistrar = '';
    }
    set_config('augdatabase_remoteconvertregistrar', $config->augdatabase_remoteconvertregistrar);
    
    if (!isset($config->augdatabase_remoteconvertcms)) {
        $config->augdatabase_remoteconvertcms = '';
    }
    set_config('augdatabase_remoteconvertcms', $config->augdatabase_remoteconvertcms);
    
    if (!isset($config->augdatabase_remoteexcepttable)) {
        $config->augdatabase_remoteexcepttable = '';
    }
    set_config('augdatabase_remoteexcepttable', $config->augdatabase_remoteexcepttable);    

    if (!isset($config->augdatabase_remoteexceptuserfield)) {
        $config->augdatabase_remoteexceptuserfield = '';
    }
    set_config('augdatabase_remoteexceptuserfield', $config->augdatabase_remoteexceptuserfield);

    if (!isset($config->augdatabase_remoteexceptcoursefield)) {
        $config->augdatabase_remoteexceptcoursefield = '';
    }
    set_config('augdatabase_remoteexceptcoursefield', $config->augdatabase_remoteexceptcoursefield);

    if (!isset($config->enrol_allowinternal)) {
        $config->enrol_allowinternal = '';
    }
    set_config('enrol_allowinternal', $config->enrol_allowinternal);
    
    return true;

}



} // end of class

?>